net.sourceforge.pmd.cpd

## Class FileReporterTest

- java.lang.Object
- - net.sourceforge.pmd.cpd.FileReporterTest

-     public class FileReporterTest
      extends Object

  Author:
    Philippe T'Seyen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReporterTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testCreation()`
    `void` | `testEmptyReport()`
    `void` | `testInvalidFile()`
    `void` | `testReport()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileReporterTest

          public FileReporterTest()

  - ### Method Detail

    - #### testCreation

          public void testCreation()

    - #### testEmptyReport

          public void testEmptyReport()
                               throws ReportException

      Throws:
        `ReportException`

    - #### testReport

          public void testReport()
                          throws ReportException,
                                 IOException

      Throws:
        `ReportException`
        `IOException`

    - #### testInvalidFile

          public void testInvalidFile()
                               throws ReportException

      Throws:
        `ReportException`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.